# Source code for azure.mgmt.web.models.csm_usage_quota

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class CsmUsageQuota(Model):
        """Usage of the quota resource.

        :param unit: Units of measurement for the quota resourse
        :type unit: str
        :param next_reset_time: Next reset time for the resource counter
        :type next_reset_time: datetime
        :param current_value: The current value of the resource counter
        :type current_value: long
        :param limit: The resource limit
        :type limit: long
        :param name: Quota name
        :type name: :class:`LocalizableString
         <azure.mgmt.web.models.LocalizableString>`
        """

        _attribute_map = {
            'unit': {'key': 'unit', 'type': 'str'},
            'next_reset_time': {'key': 'nextResetTime', 'type': 'iso-8601'},
            'current_value': {'key': 'currentValue', 'type': 'long'},
            'limit': {'key': 'limit', 'type': 'long'},
            'name': {'key': 'name', 'type': 'LocalizableString'},
        }

        def __init__(self, unit=None, next_reset_time=None, current_value=None, limit=None, name=None):
            self.unit = unit
            self.next_reset_time = next_reset_time
            self.current_value = current_value
            self.limit = limit
            self.name = name